%define name gcombust
%define version 0.1.55
%define release %mkrel 8

Name: %{name}
Summary: Gcombust is a burning cd frontend
Version: %{version}
Release: %{release}
Source: http://www.abo.fi/~jmunsin/gcombust/%{name}-%{version}.tar.bz2
Source4: gcombust-0.1.55-de.po.bz2
Patch: gcombust_getopt.diff.bz2
Patch1: gcombust-0.1.55-defaults.patch.bz2
Patch2: gcombust-0.1.55-gcc4.patch.bz2
Patch3: gcombust-0.1.55-desktop.patch.bz2
Group: Archiving/Cd burning
BuildRequires: gtk+-devel
URL: http://www.abo.fi/~jmunsin/gcombust/
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
License: GPL
Requires: mkisofs cdrecord cdrecord-cdda2wav cdlabelgen diffutils cdparanoia
BuildRequires: ImageMagick

%description
gcombust is a gtk+ frontend for mkisofs, mkhybrid, cdrecord and
cdlabelgen. It's written in C. It has primitive support for
controlling the directory (root) structure and size of image without
copying files/symlinking or writing 10 lines of arguments and can
maximize disk by hinting which directories/files to use.


%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n gcombust-%{version}
%patch -p1
%patch1 -p1 -b .defaults
%patch2 -p1
%patch3 -p1 -b .desktop
bzcat %SOURCE4 > po/de.po

%build
%configure2_5x
%make 

%install
[ "$RPM_BUILD_ROOT" != "/"] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%makeinstall

%find_lang %{name}

# Menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}): command="%{_bindir}/%{name}" needs="X11" \
icon="%{name}.png" section="System/Archiving/CD Burning" \
title="GCombust" longtitle="Gtk+ frontend for Cd burning" xdg="true"
EOF

#icon
install -d $RPM_BUILD_ROOT/%{_iconsdir}
install -d $RPM_BUILD_ROOT/%{_liconsdir}
install -d $RPM_BUILD_ROOT/%{_miconsdir}
convert gcombust.xpm $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png
convert gcombust.xpm -scale 32x32 $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.png
convert gcombust.xpm -scale 16x16 $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.png

%clean
rm -rf $RPM_BUILD_ROOT

%post  
%{update_menus}

%postun
%{clean_menus}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS TODO COPYING ChangeLog INSTALL NEWS README* THANKS ABOUT-NLS
%{_bindir}/gcombust
%{_datadir}/pixmaps/gcombust.xpm
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_menudir}/%{name}
%{_datadir}/applications/gcombust.desktop

%changelog
* Tue Aug  1 2006 Gtz Waschk <waschk@mandriva.org> 0.1.55-8mdv2007.0
- fix desktop file

* Tue Aug  1 2006 Gtz Waschk <waschk@mandriva.org> 0.1.55-7mdv2007.0
- xdg menu

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.1.55-6mdk
- Rebuild

* Thu May 19 2005 Gtz Waschk <waschk@mandriva.org> 0.1.55-5mdk
- fix build with gcc 4

* Wed Sep 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1.55-4mdk
- fix patch 1

* Sat Sep  4 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1.55-3mdk
- use ImageMagick for the icons
- adjust some default values

* Thu Sep 02 2004 Marcel Pol <mpol@mandrake.org> 0.1.55-2mdk
- fix menusection

* Tue May 11 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1.55-1mdk
- patch: load selection file from command line
- move desktop entry file
- update german translation
- macro fix
- new version

* Sun Jun 01 2003 Stefan van der Eijk <stefan@eijk.nu> 0.1.54-1mdk
- release 0.1.54
- remove redundant BuildRequires: XFree86-devel

* Wed Jan 15 2003 Daouda LO <daouda@mandrakesoft.com> 0.1.53-1mdk
- release 0.1.53

* Thu Aug  8 2002  Amaury Amblard-Ladurantie <amaury@mandrakesoft.com> 0.1.52-1mdk
- new release
- PNG icons

* Thu Nov 08 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1.47-1mdk
- new release

* Wed Aug  8 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.46-1mdk
- Release 0.1.46
- Clean specfile

* Sat Jun 16 2001 Stefan van der Eijk <stefan@eijk.nu> 0.1.45-2mdk
- BuildRequires: gtk+-devel

* Thu Jun  7 2001 Laurent Culioli <laurent@mandrakesoft.com> 0.1.45-1mdk
- updated to version 0.1.45

* Fri Jun  1 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.1.44-1mdk
- new version

* Wed Apr 11 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.42-2mdk
- Add dependency on cdlabelgen, diffutils

* Tue Feb 27 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.1.42-1mdk
- new version
- readded .desktop

* Sun Jan 07 2001 Geoff <snailtalk@mandrakesoft.com> 0.1.40-1mdk
- new and shiny source.

* Thu Nov 16 2000 Daouda Lo <daouda@mandrakesoft.com> 0.1.38-1mdk
- new and shiny version (c)

* Fri Nov 03 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.1.37-1mdk
- new and shiny version, hot from the oven aka 0.1.37.

* Fri Oct 27 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.1.36-1mdk
- new version 0.1.36

* Tue Sep 26 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.1.34-4mdk
- added menu entry and icons
- corrected source url

* Thu Aug 24 2000 Gtz Waschk <waschk@linux-mandrake.com> 0.1.34-3mdk
- uses find_lang for locale files
- cleaned spec a bit

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.1.34-2mdk
- automatically added BuildRequires

* Fri Jul 28 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.1.34-1mdk
- rebuild for BM
- macrozfications
- new release

* Tue Jun 20 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.1.33-1mdk
- Updated version

* Thu Apr 06 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.1.31-1mdk
- Updated version to 0.1.31-1mdk
- updated group
- updated file section of spec file.

* Tue Feb 22 2000 Geoffrey Lee <snailtalk@linux-mandrake.com>
- new version 0.1.30

* Tue Nov 30 1999 Lenny Cartier <lenny@mandrakesoft.com>
- v0.1.25

* Fri Aug 06 1999 Stefan Siegel <siegel@informatik.uni-kl.de>
- Added "config" tag for files containing /etc or /config
- Added compression for perl- and localized man-pages

* Fri Jul 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Rebuild without glib-1.3 :-((

* Tue Jul 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Initialisation spec file for Mandrake distribution.


* Sat Jun 26 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- create (more or less) generic spec file...
